Package org.italiangrid.voms.ac.impl

# Interface LocalHostnameResolver

All Known Implementing Classes:
  `DefaultLocalHostnameResolver`

public interface LocalHostnameResolver
A `LocalHostnameResolver` resolves the localhost host name.

## Method Summary

Modifier and Type
Method
Description
`String`
`resolveLocalHostname()`
Resolves the hostname for localhost

## Method Details

### resolveLocalHostname

String resolveLocalHostname() throws UnknownHostException
Resolves the hostname for localhost

Returns:
  a String containing the localhost hostname
Throws:
  `UnknownHostException` - when there is an error resolving the hostname